package org.xdoclet.plugin.castor.qtags;

import org.generama.MetadataProvider;

public class TagLibrary {
    public static final String CASTOR_CLASS = CastorClassTagImpl.NAME;
    public static final String CASTOR_FIELD_SQL = CastorFieldSqlTagImpl.NAME;
    public static final String CASTOR_FIELD = CastorFieldTagImpl.NAME;
    public static final String CASTOR_FIELD_XML = CastorFieldXmlTagImpl.NAME;

    public TagLibrary(MetadataProvider metadataProvider) {
        metadataProvider.getDocletTagFactory().registerTag(CastorClassTagImpl.NAME, CastorClassTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(CastorFieldSqlTagImpl.NAME, CastorFieldSqlTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(CastorFieldTagImpl.NAME, CastorFieldTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(CastorFieldXmlTagImpl.NAME, CastorFieldXmlTagImpl.class);
    }
}
